For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
      • GETGet accounting connections
      • POSTConnect to an accounting system
      • GETGet an accounting connection by ID
      • POSTDisconnect from an accounting system
      • POSTForce Sync
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounting integrationAccounting connections

Get an accounting connection by ID

GET
/accounting_connections/:connection_id
GET
/v1/accounting_connections/:connection_id
$curl https://api.sandbox.monite.com/v1/accounting_connections/connection_id \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "id": "id",
3 "created_at": "2024-01-15T09:30:00Z",
4 "updated_at": "2024-01-15T09:30:00Z",
5 "connection_url": "connection_url",
6 "business_info": {
7 "base_currency": "base_currency",
8 "email": "email",
9 "legal_name": "legal_name",
10 "name": "name",
11 "type": "type"
12 },
13 "errors": [
14 {
15 "message": "message"
16 }
17 ],
18 "last_pull": "2024-01-15T09:30:00Z",
19 "platform": "platform",
20 "status": "connected"
21}
Get connection by id
Was this page helpful?
Previous

Disconnect from an accounting system

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

connection_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
idstringformat: "uuid"
created_atdatetime
updated_atdatetime
connection_urlstring
business_infoobject
errorslist of objects
last_pulldatetime
platformstring
statusenum
Allowed values:

Errors

422
Get Accounting Connections ID Request Unprocessable Entity Error
500
Get Accounting Connections ID Request Internal Server Error